Skip to content

Updates a monitored asset.

PUT
/api/v1/provision/admin/monitored-assets/{assetId}
curl --request PUT \
--url https://example.com/api/v1/provision/admin/monitored-assets/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--data '{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "productId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "metricName": "example", "name": "example", "description": "example", "unit": "example", "category": "example", "tags": [ "example" ], "numberFormat": "example", "metricType": "CumulativeCounter", "meteredUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "meteredUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "suspendedUntilAt": "2026-04-15T12:00:00Z", "lastReportedOverageSeverityStatus": "None", "usageTiers": [ { "startUsage": 1, "startPercentage": 1, "endUsage": 1, "endPercentage": 1, "baseCredits": 1, "creditsPerUnitOfConsumption": 1, "name": "example", "quotaUsageLevel": "None", "quotaUsagePolicy": "None", "fundingBalanceMetric": "example" } ], "consumptionPeriod": "example", "accumulationMethod": "Sliced" }, "balanceUsageId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "balanceUsage": { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "creditsUsed": 1, "totalCredits": 1, "cumulativeCreditsUsed": 1, "unfundedCredits": 1, "lastUnfundedAt": "2026-04-15T12:00:00Z", "unit": "example", "numberFormat": "example", "lastDeposit": "2026-04-15T12:00:00Z", "usageQuota": [ { "endUsage": 1, "name": "example", "quotaUsageLevel": "None" } ], "suspendedUntilAt": "2026-04-15T12:00:00Z", "overageSeverityStatus": "None", "initialCreditAmount": 1, "isUnlimitedCredits": true, "autoBalanceCronSchedule": "example", "lastAutoBalanceDate": "2026-04-15T12:00:00Z", "shouldAutoBalanceTransferCurrentCredits": true, "maxAutoBalanceCreditTransferAmount": 1, "autoBalanceCreditAmount": 1 }, "allowedBackDatingTolerance": "example" }'
assetId
required
string format: uuid

Monitored asset id.

Updated payload. Descriptive fields are replaced; omitting the nested allowance/credit-balance does NOT remove them (use the dedicated endpoints for removal).

A usage-tracked metric on a product or entitlement. Depending on how it is charged, either AssetMeteredUsageDto? MonitoredAssetDto.MeteredUsage (tiered, period-based metering) or AssetBalanceUsageDto? MonitoredAssetDto.BalanceUsage (prepaid credit balance) is attached.

object
id
string format: uuid
entitlementId
null | string format: uuid
productId
null | string format: uuid
metricName
string
name
string
description
string
unit
string
category
string
tags
Array<string>
numberFormat
string
metricType

How reported usage values are interpreted and aggregated by the monitoring pipeline.

Allowed values: CumulativeCounter TotalCounter Gauge UpDownCounter
meteredUsageId
null | string format: uuid
meteredUsage
One of:
null
balanceUsageId
null | string format: uuid
balanceUsage
One of:
null
allowedBackDatingTolerance

How far in the past a reported usage value’s timestamp may lie and still be accepted.

string
/^-?(\d+\.)?\d{2}:\d{2}:\d{2}(\.\d{1,7})?$/

OK

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string